Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.impl
Class LessThanOperator

    java.lang.Object
      org.jbpm.jpdl.el.impl.BinaryOperator
          org.jbpm.jpdl.el.impl.RelationalOperator
              org.jbpm.jpdl.el.impl.LessThanOperator

    public class LessThanOperator

extends RelationalOperator

The implementation of the less than operator

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author$
Author:
  Nathan Abramson - Art Technology Group

Field Summary
`static LessThanOperator` | `SINGLETON`

Constructor Summary
`LessThanOperator()` Constructor

Method Summary
`boolean` | `apply(java.math.BigDecimal pLeft, java.math.BigDecimal pRight)` Applies the operator to the given BigDecimal values, returning a BigDecimal
`boolean` | `apply(java.math.BigInteger pLeft, java.math.BigInteger pRight)` Applies the operator to the given BigDecimal values, returning a BigDecimal
`boolean` | `apply(double pLeft, double pRight)` Applies the operator to the given double values
`boolean` | `apply(long pLeft, long pRight)` Applies the operator to the given long values
`java.lang.Object` | `apply(java.lang.Object pLeft, java.lang.Object pRight, Logger pLogger)` Applies the operator to the given value
`boolean` | `apply(java.lang.String pLeft, java.lang.String pRight)` Applies the operator to the given String values
`java.lang.String` | `getOperatorSymbol()` Returns the symbol representing the operator

Methods inherited from class org.jbpm.jpdl.el.impl.RelationalOperator
`isEqual, isGreater, isLess`

Methods inherited from class org.jbpm.jpdl.el.impl.BinaryOperator
`shouldCoerceToBoolean, shouldEvaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLETON

    public static final LessThanOperator SINGLETON

Constructor Detail

### LessThanOperator

    public LessThanOperator()

  Constructor

Method Detail

### getOperatorSymbol

    public java.lang.String getOperatorSymbol()

  Returns the symbol representing the operator

  Specified by:
    `getOperatorSymbol` in class `BinaryOperator`

### apply

    public java.lang.Object apply(java.lang.Object pLeft,
                                  java.lang.Object pRight,
                                  Logger pLogger)
                           throws ELException

  Applies the operator to the given value

  Overrides:
    `apply` in class `RelationalOperator`
  Throws:
    `ELException`

### apply

    public boolean apply(double pLeft,
                         double pRight)

  Applies the operator to the given double values

  Specified by:
    `apply` in class `RelationalOperator`

### apply

    public boolean apply(long pLeft,
                         long pRight)

  Applies the operator to the given long values

  Specified by:
    `apply` in class `RelationalOperator`

### apply

    public boolean apply(java.lang.String pLeft,
                         java.lang.String pRight)

  Applies the operator to the given String values

  Specified by:
    `apply` in class `RelationalOperator`

### apply

    public boolean apply(java.math.BigDecimal pLeft,
                         java.math.BigDecimal pRight)

  Applies the operator to the given BigDecimal values, returning a BigDecimal

  Specified by:
    `apply` in class `RelationalOperator`

### apply

    public boolean apply(java.math.BigInteger pLeft,
                         java.math.BigInteger pRight)

  Applies the operator to the given BigDecimal values, returning a BigDecimal

  Specified by:
    `apply` in class `RelationalOperator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD